javax.validation.metadata

## Enum Scope

- java.lang.Object
- - java.lang.Enum<Scope>
  - - javax.validation.metadata.Scope

- All Implemented Interfaces:
    Serializable, Comparable<Scope>

      public enum Scope
      extends Enum<Scope>

  Scope looked at when discovering constraints.
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIERARCHY` Look for constraints declared on all elements of the class hierarchy with the same name.
    `LOCAL_ELEMENT` Look for constraints declared on the current class element and ignore inheritance and elements with the same name in the class hierarchy.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_ELEMENT

          public static final Scope LOCAL_ELEMENT

      Look for constraints declared on the current class element and ignore inheritance and elements with the same name in the class hierarchy.

    - #### HIERARCHY

          public static final Scope HIERARCHY

      Look for constraints declared on all elements of the class hierarchy with the same name.

  - ### Method Detail

    - #### values

          public static Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scope c : Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.